Page MenuHomePhabricator

Grant interface editors editprotected & editsemiprotected on Turkish Wikipedia
Closed, ResolvedPublic

Description

As a result of our community discussion we concluded that actions listed belove has to be done:

  • technician (interface-editor) rights give to interface admin (apihighlimits, abusefilter-log-detail, noratelimit, abusefilter-modify, abusefilter-modify-restricted)
  • delete technician (interface-editor) group
  • give editprotected and editsemiprotected rights to the interface admin

Community discussion: https://tr.wikipedia.org/w/index.php?title=Vikipedi:Köy_çeşmesi_(teklifler)&oldid=21667451#Arayüz_yöneticisi

Thanks.

Event Timeline

TmY_e12 created this task.Mar 14 2020, 6:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2020, 6:32 PM
Urbanecm closed this task as Declined.Mar 14 2020, 6:44 PM
Urbanecm added a subscriber: Urbanecm.

Hi, I would like to inform you that it isn't allowed to grant new permissions to interface-admin group. That is because the purpose of interface-admins is to make sure only people who do need to edit site CSS/JS can do it. Granting new rights to that group would make bureaucrats to promote other users to interface-admins because they need to use the other permissions, and not to edit site CSS/JS.

For those reasons, I'm making this task as Declined. If you have any questions, I'm here to answer them.

TmY_e12 updated the task description. (Show Details)Mar 14 2020, 6:48 PM
TmY_e12 reopened this task as Open.EditedMar 14 2020, 6:53 PM

Okay, so can you just give editprotected and editsemiprotected rights to the technician (interface editor) group?

So Dear Urbanecm, our request from you is to merge Technician and Interface-Editor group and permissions. Can you do that? We can reassess the issue of adding one these groups more rights.

So Dear Urbanecm, our request from you is to merge Technician and Interface-Editor group and permissions. Can you do that?

No. We can delete the interface editor group, but we cannot assign its permission to interface-admins.

Okay, so can you just give editprotected and editsemiprotected rights to the technician (interface editor) group?

Sure, that's perfectly possible.

Restricted Application added a project: User-DannyS712. · View Herald TranscriptMar 14 2020, 7:02 PM

Change 579772 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[operations/mediawiki-config@master] trwiki: Grant interface admins editprotected & editsemiprotected

https://gerrit.wikimedia.org/r/579772

@Urbanecm can you deploy the config change?

Aklapper renamed this task from New rights to interface admin to New rights to interface admin on Turkish Wikipedia.Mar 14 2020, 7:10 PM
Aklapper renamed this task from New rights to interface admin on Turkish Wikipedia to Grant interface admins editprotected & editsemiprotected on Turkish Wikipedia.

@DannyS712 Sometime in the next week, sure :-). See Gerrit for my comment.

Urbanecm renamed this task from Grant interface admins editprotected & editsemiprotected on Turkish Wikipedia to Grant interface editors editprotected & editsemiprotected on Turkish Wikipedia.Mar 15 2020, 9:15 PM

Change 579772 merged by jenkins-bot:
[operations/mediawiki-config@master] trwiki: Grant interface editors editprotected & editsemiprotected

https://gerrit.wikimedia.org/r/579772

Mentioned in SAL (#wikimedia-operations) [2020-03-19T11:13:35Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: e277d29: trwiki: Grant interface editors editprotected & editsemiprotected (T247672) (duration: 01m 07s)

Mentioned in SAL (#wikimedia-operations) [2020-03-19T11:15:05Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: e277d29: trwiki: Grant interface editors editprotected & editsemiprotected (T247672; take II) (duration: 01m 08s)

Urbanecm closed this task as Resolved.Mar 19 2020, 11:15 AM

Deployed